Comment 13 for bug 2046356

Revision history for this message
Lucas Albuquerque Medeiros de Moura (lamoura) wrote :

I have performed the SRU verification with the following script:

----------------------------------
#!/bin/bash
set -e

series=$1
name=$series-dev

function cleanup {
  lxc delete $name --force
}

function on_err {
  echo -e "Test Failed"
  cleanup
  exit 1
}
trap on_err ERR

lxc launch ubuntu-daily:$series $name
sleep 5

# Install latest base-files
lxc exec $name -- apt-get update > /dev/null
lxc exec $name -- apt-get install -y base-files > /dev/null
echo -e "\n* Latest base-files is installed"
echo "###########################################"
lxc exec $name -- apt-cache policy base-files
echo -e "###########################################\n"

echo -e "\n* Installing update-motd"
lxc exec $name -- apt-get install -y update-motd > /dev/null
echo -e "###########################################\n"

echo -e "\n* Check current MOTD message for Support URL"
echo "###########################################"
lxc exec $name -- update-motd
echo -e "###########################################\n"

echo -e "\n* base-files is installed from proposed"
echo "###########################################"
lxc exec $name -- sh -c "echo \"deb http://archive.ubuntu.com/ubuntu $series-proposed main\" | tee /etc/apt/sources.list.d/proposed.list"
lxc exec $name -- apt-get update > /dev/null
lxc exec $name -- apt-get -t $series-proposed install base-files -y > /dev/null
lxc exec $name -- apt-cache policy base-files
echo -e "###########################################\n"

echo -e "\n* Check updated MOTD message fro Support URL"
echo "###########################################"
lxc exec $name -- update-motd
echo -e "###########################################\n"

cleanup
------------------------------------------

I can confirm that URL has been successfully updated for the MOTD message.
I am also attaching the test results for all the releases target by this change